%global         momorel 1

Name:           perl-Sereal-Encoder
Version:        3.002
Release:        %{momorel}m%{?dist}
Summary:        Fast, compact, powerful binary serialization
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Sereal-Encoder/
Source0:        http://www.cpan.org/authors/id/Y/YV/YVES/Sereal-Encoder-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 5.008
BuildRequires:  perl-Cwd
BuildRequires:  perl-Data-Dumper
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-ExtUtils-ParseXS >= 2.21
BuildRequires:  perl-File-Path
BuildRequires:  perl-List-Util
BuildRequires:  perl-Sereal-Decoder >= 2.06
BuildRequires:  perl-Test-LongString
BuildRequires:  perl-Test-Simple >= 0.88
BuildRequires:  perl-Test-Warn
BuildRequires:  perl-XSLoader
Requires:       perl-XSLoader
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This library implements an efficient, compact-output, and feature-rich
serializer using a binary protocol called Sereal. Its sister module
Sereal::Decoder implements a decoder for this format. The two are released
separately to allow for independent and safer upgrading. If you care
greatly about performance, consider reading the Sereal::Performance
documentation after finishing this document.

%prep
%setup -q -n Sereal-Encoder-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes const-c.inc const-xs.inc META.json
%{perl_vendorarch}/auto/Sereal/Encoder
%{perl_vendorarch}/Sereal/Encoder.pm
%{perl_vendorarch}/Sereal/Encoder
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (3.002-1m)
- update to 3.002

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (3.001-1m)
- rebuild against perl-5.20.0
- update to 3.001

* Sun Apr 20 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-1m)
- update to 2.11

* Sun Apr 13 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.08-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
